#include "GraphTester.h"
#include "X3DAbstractNode.h"
#include "DFSGraphTraversal.h"
#include "GraphTesterAbstractVisitor.h"

#include <iostream>

using namespace std;

namespace X3DTK {

GraphTester::GraphTester()
{
  setGraphTraversal(new DFSGraphTraversal());
  setComponentVisitor(new GraphTesterAbstractVisitor());
}

GraphTester::~GraphTester()
{
  Singleton<GraphTesterStateVariables>::removeInstance();
}
  
void GraphTester::test(SFNode N) const
{
  Singleton<GraphTesterStateVariables>::getInstance()->init();
  traverse(N);
}
  
}
