#include "X3D_NormalInterpolator.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

NormalInterpolator::NormalInterpolator()
: X3DInterpolatorNode()
{
  define(Recorder<NormalInterpolator>::getTypeName("NormalInterpolator", "Interpolation"));
  
  define(Recorder<NormalInterpolator, MFVec3f>::getAttribute("keyValue", &NormalInterpolator::_keyValue, MFVec3f()));
}

NormalInterpolator::~NormalInterpolator()
{
}

void NormalInterpolator::setKeyValue(const MFVec3f &keyValue)
{
  _keyValue = keyValue;
}

}
}
