#include "X3D_X3DInterpolatorNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

X3DInterpolatorNode::X3DInterpolatorNode()
: X3DChildNode()
{
  define(Recorder<X3DInterpolatorNode>::getTypeName("X3DInterpolatorNode", "Interpolation"));
  
  define(Recorder<X3DInterpolatorNode, MFFloat>::getAttribute("key", &X3DInterpolatorNode::_key, MFFloat()));
}

X3DInterpolatorNode::~X3DInterpolatorNode()
{
}

void X3DInterpolatorNode::setKey(const MFFloat &key)
{
  _key = key;
}

}
}
